> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Foreign room

> Get foreign investor room and market snapshot information.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml get /tartarus/v1/tickerSnaps
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /tartarus/v1/tickerSnaps:
    get:
      summary: Foreign room
      description: Get foreign investor room and market snapshot information.
      parameters:
        - name: index
          in: query
          required: false
          description: >-
            Stock basket: 1 = HOSE, 2 = VN30, 3 = HNX, 4 = HNX30, 5 = Upcom, 10
            = Midcap, 11 = VN100, 12 = VNAllshare, 13 = VNSmallcap, 14 =
            VNXAllshare, 15 = VN50, 16 = VNSI.
          schema:
            $ref: '#/components/schemas/MarketBasket'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tradingDate:
                    type: string
                    description: Trading date.
                  data[].symbol:
                    type: string
                    description: Stock symbol.
                  data[].refPrice:
                    type: number
                    format: double
                    description: Reference price.
                  data[].ceilPrice:
                    type: number
                    format: double
                    description: Ceiling price.
                  data[].floorPrice:
                    type: number
                    format: double
                    description: Floor price.
                  data[].matchPrice:
                    type: number
                    format: double
                    description: Matched price.
                  data[].matchQtty:
                    type: number
                    format: double
                    description: Matched volume.
                  data[].change:
                    type: number
                    format: double
                    description: Price change.
                  data[].changePercent:
                    type: number
                    format: double
                    description: Change percent.
                  data[].totalVolume:
                    type: number
                    format: double
                    description: Total volume.
                  data[].totalValue:
                    type: number
                    format: double
                    description: Total value.
                  data[].buyForeignQtty:
                    type: number
                    format: double
                    description: Foreign buy volume.
                  data[].sellForeignQtty:
                    type: number
                    format: double
                    description: Foreign sell volume.
                  data[].room:
                    type: string
                    description: Foreign room.
components:
  schemas:
    MarketBasket:
      type: string
      description: >-
        Rổ chứng khoán: 1 = HOSE, 2 = VN30, 3 = HNX, 4 = HNX30, 5 = Upcom, 10 =
        Midcap, 11 = VN100, 12 = VNAllshare, 13 = VNSmallcap, 14 = VNXAllshare,
        15 = VN50, 16 = VNSI.
      enum:
        - '1'
        - '2'
        - '3'
        - '4'
        - '5'
        - '10'
        - '11'
        - '12'
        - '13'
        - '14'
        - '15'
        - '16'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.